$(function () {
    var app = Sammy(function () {
        var self = this;

        self.get("#/", function () {

            var item = '<div class="col-xs-6 col-lg-4"><h2>Título</h2><p>Descripción</p><p><a class="btn btn-default" href="#detail" role="button">Detalle &raquo;</a></p></div>';
            var content = $("#main-content");
            content.append(item);
            content.append(item);
            content.append(item);
            content.append(item);
            content.append(item);
            content.append(item);
        });

        this.get("#about", function () {
            alert("About");
        });

        this.get("#contact", function () {
            alert("Contact");
        });

        this.get("#detail", function () {
            $("#jumbotron").empty();
            var content = $("#main-content");
            content.empty();
            content.append("<p>Detalle</p>");
        });
    });
    app.run("#/");
});